GET /collections/{id}/records/{key}
Get a single record from a collection by its record key.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Collection ID
key string required path
Record key

Responses

200 Record detail
application/json
record object REQUIRED
id string REQUIRED
collection_id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
record_key string REQUIRED
data string REQUIRED
event_type string | null REQUIRED
source_event_id string REQUIRED
source_event_at string REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
401 Unauthorized
404 Not found
curl -X GET 'https://hookstream.io/v1/collections/string/records/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/collections/string/records/string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/collections/string/records/string', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/collections/string/records/string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "record": {
    "id": "<string>",
    "collection_id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "record_key": "<string>",
    "data": "<string>",
    "event_type": "<string>",
    "source_event_id": "<string>",
    "source_event_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
GET /collections/{id}/records/{key}
Ask a question... ⌘I